#ifndef SETTINGS_PANE_HH
#define SETTINGS_PANE_HH

#include <QWidget>
#include <QListWidget>


class SettingsPane : public QWidget {
	Q_OBJECT

	QListWidget *collisions = nullptr;

public:
	SettingsPane(QWidget *parent=nullptr);

public slots:
	void addCollision(int idA, int idB, int frame);
	void clearCollisions();

signals:
	void sphereRadiusChanged(double sqRadius);
	void toggledTrajectories(int shown);
	void toggledSupportLines(int shown);
};


#endif
